## org.apache.aries.subsystem.core.internal
Class ThreadLocalSubsystem

    java.lang.Object
      org.apache.aries.subsystem.core.internal.ThreadLocalSubsystem

    public class ThreadLocalSubsystem

extends Object

Constructor Summary
`ThreadLocalSubsystem()`

Method Summary
`static BasicSubsystem` `get()`
`static void` `set(BasicSubsystem value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadLocalSubsystem

    public ThreadLocalSubsystem()

Method Detail

### get

    public static BasicSubsystem get()

### set

    public static void set(BasicSubsystem value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.